﻿

namespace Jacquot_Timepix_V2.Models
{
    public class Pixel
    {
        /// <summary>
        /// How many neighbours does a pixel need to be counted as an inside pixel?
        /// </summary>
        public static readonly int insidePixelNeighbours = 4;

        /// <summary>
        /// Should corner pixels be counted as neighbours?
        /// </summary>
        public static readonly bool checkCornerNeighbours = false;

        public ushort X { get; }
        public ushort Y { get; }
        public ushort Tot { get; }
        public PixelType Type { get; set; }

        public Pixel(ushort x, ushort y, ushort tot)
        {
            X = x;
            Y = y;
            Tot = tot;
        }
    }

    public enum PixelType
    {
        Edge, Inside
    }
}
